import { HttpException, HttpStatus } from '@nestjs/common';
import { Perfil } from './perfil.entity';
import { Repository } from 'typeorm';
import { CreatePerfilDto } from './dto/create-perfil.dto';
import { UpdatePerfilDto } from './dto/update-perfil.dto';
export declare class PerfilService {
    private perfilRepository;
    constructor(perfilRepository: Repository<Perfil>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        }[];
        id: number;
        nombre: string;
        deleted_at: Date;
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        }[];
        message: string;
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        }[];
        id: number;
        nombre: string;
        deleted_at: Date;
    }>;
    createPerfil(perfil: CreatePerfilDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, perfil: UpdatePerfilDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
